GuideLab API

Validate import data before importing

Dry-run validation of mapped CSV rows for a given import type. Returns per-row validation results and a summary of valid/invalid counts without persisting anything. Lab-only endpoint.

POST
/import/validate

Dry-run validation of mapped CSV rows for a given import type. Returns per-row validation results and a summary of valid/invalid counts without persisting anything. Lab-only endpoint.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/import/validate" \  -H "Content-Type: application/json" \  -d '{    "importType": "products",    "mappings": [      {        "sourceColumn": "string",        "targetField": "string"      }    ],    "rows": [      {        "property1": "string",        "property2": "string"      }    ]  }'
{  "rowResults": [    {      "rowIndex": 0,      "isValid": true,      "errors": [        {          "field": "string",          "message": "string"        }      ],      "data": null    }  ],  "summary": {    "total": 0,    "valid": 0,    "invalid": 0  }}
Empty